## ros-indigo-move-slow-and-clear 1.12.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_slow_and_clear)

find_package(catkin REQUIRED
    COMPONENTS
        cmake_modules
        costmap_2d
        geometry_msgs
        nav_core
        pluginlib
        roscpp
        )


find_package(Eigen REQUIRED)
find_package(PCL REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
)
add_definitions(${EIGEN_DEFINITIONS})

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES move_slow_and_clear
    CATKIN_DEPENDS
        geometry_msgs
        nav_core
        pluginlib
        roscpp
)

add_library(${PROJECT_NAME} src/move_slow_and_clear.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
    ${Boost_LIBRARIES}
    ${catkin_LIBRARIES}
    )

## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE)

install(TARGETS move_slow_and_clear
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       )

install(FILES recovery_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-move-slow-and-clear (1.12.16-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.15-0trusty) trusty; urgency=high

  * Merge pull request #671 <https://github.com/ros-planning/navigation/issues/671> from ros-planning/email_update_indigo
    update maintainer email (indigo)
  * Merge pull request #647 <https://github.com/ros-planning/navigation/issues/647> from aaronhoy/indigo_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 20 Mar 2018 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.14-0trusty) trusty; urgency=high

  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * address gcc6 build error
  * Contributors: Lukas Bulwahn, Martin Günther

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Dec 2017 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 15 Aug 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Jun 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.11-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jun 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 May 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 May 2016 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2016 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.6-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 02 Jan 2016 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.5-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.4-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 03 Jun 2015 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.3-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Apr 2015 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.2-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.1-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.12.0-0trusty) trusty; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.15-0trusty) trusty; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.14-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.11-0trusty) trusty; urgency=high

  * Use service call, rather than system call, to call dynamic
    reconfigure when decreasing move_base speed.
  * Contributors: Ryohei Ueda

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.7-0trusty) trusty; urgency=high

  * update build to find eigen using cmake_modules
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-move-slow-and-clear (1.11.4-0trusty) trusty; urgency=high

  * Package URL Updates

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-move-slow-and-clear
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-costmap-2d, ros-indigo-geometry-msgs, ros-indigo-nav-core, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: http://wiki.ros.org/move_slow_and_clear
Standards-Version: 3.9.2

Package: ros-indigo-move-slow-and-clear
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-costmap-2d, ros-indigo-geometry-msgs, ros-indigo-nav-core, ros-indigo-pluginlib, ros-indigo-roscpp
Description: move_slow_and_clear

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-move-slow-and-clear//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
